Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global srcname etag

Name:           nodejs-%{srcname}
Version:        1.8.1
Release:        alt1_4
Summary:        Node.js module to create simple ETags
License:        MIT
URL:            https://github.com/jshttp/etag
Source0:        https://github.com/jshttp/%{srcname}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:	npm(safe-buffer)
BuildRequires:	npm(seedrandom)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{version}


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec --check-leaks test/
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md HISTORY.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt1_4
- new version

* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt0.1.njs.bootstrap
- bootstrap

